/* || General Typography */
@import "//cloud.typography.com/7366894/732148/css/fonts.css";
@import "//fonts.googleapis.com/css?family=Montserrat:200,300,500,700";

:root {
    --app-font-family: "Montserrat", sans-serif;
}
html,body
{
    width: 100%;
    height: 100%;
    margin: 0px;
    padding: 0px;
    overflow-x: hidden; 
}

body {
    font-family: var(--app-font-family);
    font-weight: 300;
    background-color: #FFFFFF;
}
h3 {
    font-size: 2.4em;
    font-weight: 200;
}

.mx-page.layout-sidebar-responsive {
    background-color: white;
}


.pageContentContainer
{
    padding-top: 20px;
    padding-right:40px;
    padding-left:40px;
    max-width: 954px;
}


/* Main dashboard Styling */

.hamburger-toggle-wrapper:hover {
    cursor: pointer;
}

.invisibleButton, .btn.mx-button.mx-name-btn_nav.btn-default.invisibleButton, .btn.mx-button.mx-name-btn_nav.btn-default.invisibleButton:active, .btn.mx-button.mx-name-btn_nav.btn-default.invisibleButton:visited, .btn.mx-button.mx-name-btn_nav.btn-default.invisibleButton:focus, .btn.mx-button.mx-name-btn_nav.btn-default.invisibleButton:hover
{
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    border: none;
    background-color: transparent;
    outline: none;
    transition: none;
    -webkit-box-shadow: none;
    z-index: 99 !important;
}

.layout-sidebar-responsive.dashboardContent
{
    position: relative;
    min-width: 984px;
    max-width: 1300px;  
}

.dashboardHeaderBar {
    width:100%;
    background-color: #0B486B;
    margin-bottom: 30px;
    height: 80px;
}

.dashboardActions {
    float: right;
    justify-content: flex-end;
    align-items: baseline;
    height: 100%;
}
.dashboardActions .dashboardAction {
    margin: auto 25px;
}

.mx-link.dashboardActionButton:hover, a.mx-link.dashboardActionButton {
    color: #FFFFFF;
}
dashboardActionButton a:focus {
    outline: none;
}

select.form-control, .select2-container--default select.select2-selection--single .dropdownField
{
    padding-right: 0px;
}

.dropdownField .mx-compound-control{
    width: 100%;
}

.dropdownField > option, .dropdownField > div > select > option, .refSelector > div > select > option
{
    font-family: "Gotham SSm A","Gotham SSm B","Work Sans",sans-serif;
    font-weight: 500;
    width: 100%;
}

.dropdownField > div > select > option:first-child{visibility: hidden;}

@media (min-width: 768px){
.mx-scrollcontainer .mx-placeholder .mx-layoutgrid{
    padding: 0px 0px 0px 0px !important;
    }
}

.dashboard-customer-list
{
    border-bottom: 1px solid gray;
}

@media (min-width: 768px)
{
.customerDetailsLayoutGrid .mx-scrollcontainer .mx-placeholder .mx-layoutgrid {
    padding: 50px 0px 0px 0px !important;
}
}
.startQuoteHeaders
{
	margin-bottom:0px;
    font-size:16px;
	font-weight:500;
	color: #000000;
	letter-spacing:1px;
    line-height: 19px;
    padding-left: 4px;
}
.dashboardListHeader
{
    margin-bottom:0px;
    font-size:13px;
	font-weight:500;
	color: #222222;
	letter-spacing:1px;
    line-height: 18px;
}

.quoteListTable
{
    margin-top: 0px;
    padding-right: 0px;
}

.quoteListTable > tbody > tr > td
{
    padding-top: 20px;
}

.mx-listview.quoteListTable > ul > li, .mx-listview.quoteListTable > ul > li:last-child {
    padding: 0px;
    border: none;
}

table.noBorders > tbody > tr > th ,
table.noBorders > tbody > tr > td
{
    border-style: none;
    border-top-width: 0px !important;
}
.headerTable
{
    margin-top: 30px;
    margin-left: 0px;
    padding-bottom: 3px;
    position: relative;
    border-bottom: 1px solid #D1D1D1;
    font-size: 13px;
    color: #222222;
    font-weight: 500;
    line-height: 18px;
    text-transform: uppercase !important;
}
.footerContainer
{
	padding: 0 12px 12px;
	text-align: right;
	background-color: #fff;
}
.customerNameNumberSearchContainer
{
    order: 0;
    max-width: 485px;
    height: 39px;
    border: 1px solid #D1D1D1;
}
.customerNameNumberSearch.mx-textbox{
	width: 94%;
	display: inline-block;
    padding-right:10px;
}
.customerNameNumberSearch > input
{
    height: 33px;
    border: none !important;
    float:right;
   margin-left: 30px;
    display: flex;
    align-items: flex-end;
}
.customerNameNumberSearchContainer .searchButton, .customerNameNumberSearchContainer .searchButton:hover, .customerNameNumberSearchContainer .searchButton:active,.customerNameNumberSearchContainer .searchButton:focus,.customerNameNumberSearchContainer .searchButton:visited
{
    margin-top: -36px;
    height: 34px;
    color: slategray !important;
    background-color: white;
    padding: 4px 7px 4px 1px;
    border: none;
    float: left;
    width: 4%;
    margin-left: 5px;
}
.customerNameNumberSearchContainer .clearSearchButton, .customerNameNumberSearchContainer .clearSearchButton:hover, .customerNameNumberSearchContainer .clearSearchButton:active,.customerNameNumberSearchContainer .clearSearchButton:focus,.customerNameNumberSearchContainer .clearSearchButton:visited
{
    margin-top: -36px;
    height: 34px;
    color: slategray !important;
    background-color: white;
    padding: 4px 1px 4px 1px;
    border: none;
    float: right;
    padding-right: 1px;
    width: 4%;
}
.clearFilterButton, .clearFilterButton:hover {
	background-color: white;
	background:url('../img/clear-filter.svg');
	background-repeat: no-repeat;
	background-position: right 6px top 10px;
    background-size: 14px 14px;
    float: left;
	padding-right: 25px;
	padding-left: 13px !important;
	padding-top: 3px;
	padding-bottom: 3px;
	height: 36px;
    border: 1px solid #D1D1D1 !important;
	text-transform: capitalize;
    font-weight: 300;
    font-size: 14px;
    color: black !important;
    text-align: left;
}


.quoteStatusSearch
{
    order: 3;
    width: 30%;
    margin-left: 7px !important;
}


.select2-container--default .select2-results > .select2-results__options {
    max-height: 300px !important;
}

.dashboardAgentSearch
{
    order: 1;
    width: 12%;
    margin-left: 3px;
    padding-left: 4px;
    
}

.dashboardTransTypeSearch{
    width: 17%;
    order: 2;
}
.form-group.no-columns.mx-referenceselector.mx-name-rs_TransactionType.dashboardTransTypeSearch{
    padding-left: 0px;
    padding-right: 0px;
}

.dashboardTransTypeSearch .mx-compound-control {
	width: 100%;
    margin-left: 7px;
}
button.dashboardTransTypeSearch {
    margin-left: 8px;
}

.dashboardTransTypeSearch select {
    color: #999;
}

.dashboardTransTypeSearch select:hover {
    cursor: pointer;
}

.dashboardTransTypeSearch option {
    color: #333;
    font-size: 15px;
    font-weight: 300;
    line-height: 21px;
    letter-spacing: normal;
}

.dashboardTransTypeSearch option:first-child {
    display: none;
}

.quoteRecord 
{
    padding: 8px 1px 8px;
    border-top: 1px solid #D1D1D1;
    min-height: 60px;
    align-items: center;
}


.DMCustomer
{
    order: 0;
    min-width: 12%;
    max-width: 12%;
    margin-top: auto;
    margin-bottom: auto;
    margin-right: 1%;
}

.DMNumber
{
    order: 1;
    min-width: 8%;
    max-width: 8%;
    margin-top: auto;
    margin-bottom: auto;
    margin-right: 1%;
}
.DMAgent
{
    order: 2;
    min-width: 6%;
    max-width: 6%;
    margin-top: auto;
    margin-bottom: auto;
    margin-right: 1%;
}
.DMTransType
{
    order: 3;
    min-width: 12%;
    max-width: 12%;
    margin-top: auto;
    margin-bottom: auto;
    margin-right: 1%;   
}
.DMStatus
{
    order: 4;
    min-width: 14%;
    max-width: 14%;
    margin-top: auto;
    margin-bottom: auto;
    margin-right: 1%;
}
.DMPlan
{
    order: 5;
    min-width: 11%;
    max-width: 11%;
    margin-top: auto;
    margin-bottom: auto;
    margin-right: 1%;
}
.DMFaceAmount
{
    order: 6;
    min-width: 9%;
    max-width: 9%;
    margin-top: auto;
    margin-bottom: auto;
    margin-right: 1%;
}
.DMEffective
{
    order: 7;
    min-width: 9%;
    max-width: 9%;
    margin-top: auto;
    margin-bottom: auto;
    margin-right: 1%;
}
.DMSubmitted
{
    order: 8;
    min-width: 8%;
    max-width: 8%;
    margin-top: auto;
    margin-bottom: auto;
    margin-right: 1%;
}

/**Overflowmenu**/
.overflowMenuContainer
{
    order: 9;
    min-width: 3%;
    max-width: 3%;
    float:left;
    min-height: 40px;
	position:inherit;
    margin-top: auto;
    margin-bottom: auto;
}

/*styling of the overflow menu dots*/
.overflowMenuButton.open > .btn.dropdown-toggle,
.overflowMenuButton.open > .btn-default.dropdown-toggle,
div.overflowMenuButton.open > button {
    color: black;
    box-shadow: 2px 2px 10px 0 rgba(0,0,0,0.30) !important;
    background: #FFFFFF;
    border: 1px solid #D1D1D1;
    border-bottom: none;
    border-radius: 2px;
    border-radius: 2px;
    transition: 0s;
}

div.overflowMenuButton > button {
    color: black;
}

.overflowMenuButton > button > span.caret{
	display: none;
}

.overflowMenuButton > div, .popover, .dropdown-div-converter .downdown-menu
{
    min-width: 110px;
    padding: 8px 8px 8px 15px !important;
    position: absolute;
    top: 45px !important;
    left: -52px !important;
    box-shadow: 2px 2px 10px 0 rgba(0,0,0,0.30) !important;
    background: #FFFFFF;
    border: 1px solid #D1D1D1;
    border-radius: 2px;
    font-size: medium;
}
.dropdown-div-converter.overflowMenuButton .dropdown-button
{
    padding: 8px 6px 6px 8px;
}
.overflowMenuButton > button > span
{
    margin-right: 0px !important;
}
/*dropdown content text*/
.overflowMenuButton > div > div > span > a, .popover, .dropdown-div-converter .downdown-menu
{
    font-size: 15px;
    font-weight: 400;
    color: #0079C1;
    line-height: 21px;
} 



/*overrides for when the button has been clicked*/
.overflowMenuButton button, .overflowMenuButton button:visited, .overflowMenuButton button:hover, .overflowMenuButton button:focus .btn-group.open .dropdown-toggle.btn-link 
{
    outline: none !important;
    color: black;
}
/**End work with overflowmenu*/

/* Pagination */
.noResults
{
    text-align: center;
    padding: 10px 0px 10px;
    font-weight: 500;
}

.listPagination
{
    text-align: center;
}

.widget-pagination.mx-name-pg_DashboardPaging.listPagination > div.pagination ul li
{
    color:  #0079C1;
    font-size: 15px;
    font-weight: 400;
    line-height: 21px;
}

.widget-pagination.mx-name-pg_DashboardPaging.listPagination > div.pagination ul li:hover
{
    background-color: rgba(0,121,193,0.05);
    color: #222222;
}
.widget-pagination.mx-name-pg_DashboardPaging.listPagination > div.pagination ul li:active:hover
{
    background-color: rgba(0,121,193,0.05);
    color: #222222;
}

.widget-pagination.mx-name-pg_DashboardPaging.listPagination > div.pagination ul li.active
{
    background-color: #0079C1;
    color: #FFFFFF;
}

.widget-pagination.mx-name-pg_DashboardPaging.listPagination > div.pagination button.disabled
{
    display: none;
}

/* End Dashboard styles */

.mx-datagrid tbody tr:nth-child(2n+1):not(.selected) td {
    /* fixes the awful Mendix 8 out of the box styling of datagrids */
    background-color: inherit;
}


.flexContainer
{
    display: flex;
}

.inputFieldMargin
{
    font-weight: 300;
	padding:0px;
    margin:0px;
   
}

.inputFieldMargin label
{
	margin:0px;
	padding:0px;
}
.inputFieldLabel
{
	font-size: 15px;
	line-height: 21px;
	margin-bottom:6px;
    color: #333333;
    padding-left: 5px;
}
.modalHeaderContainer
{
    margin-top: -25px;
    margin-bottom: 20px;
}
.InfoContainer
{
    padding: 15px 20px 15px 0px;
    background: #E8F4F9;
    margin-bottom: 20px;
}
.successContainer
{
    padding: 15px 0px 15px 0px;
    background: #D6F1D6;
    margin-bottom: 20px;
}
.radio-group .inputFieldLabel {
    padding-left: 5px !important;
}

.inputFieldLabelDark
{
	font-size: 16px;
	font-weight: 500;
	line-height: 19px;
	margin-bottom:6px;
	margin-top: 25px !important;
	margin-bottom:20px !important;
	color: #000;
}

.displayInlineBlock
{
	display:inline-block;
}

.inputFieldContainer
{
    font-weight: 700;
	padding: 0px 0px 0px 1px;
	margin:0px 0px 15px 0px;
	overflow:hidden;
}

.startQuote
{
	font-size: 14px;
/*	font-weight: 400;*/
    margin-left: 0px;
    margin-right: 0px;
	overflow:hidden;
}
 .startQuoteContainer
{
    width: 33.33%;
    float: left;    
}


.DOB .mx-compound-control
{
    width: 100%;
    padding-right: 0px;
}
.DOB .mx-compound-control > button
{
    display: none;
}

.dashboardAddressLine
{
	margin-bottom:4px;
	width:100%;
}

.zip
{
    width: 20.8%;
    order: 0;
    margin-right: 1%;
}

.customerCityDashboard
{
  order: 1;
  width: 55.6%;
  margin-right: 1%;

}

.customerStateContainer
{
  order: 2;
  width: 23.5%;
  max-width: 95px;
}

.stateDropdown
{
    width: 100%;
    padding-left: 13px;
}

.groupFieldErrorMessage{
	background-color: #fbe6e6;
    width: 100%;
    color: #c00;
    font-size: 13px;
    font-weight: 300 !important;
    line-height: 18px;
    letter-spacing: 0;
    padding: 5px 14px 5px 14px !important;	
	display: inline-flex;
	text-align: left;
	margin-top:5px;
}

.fieldErrorMessage{
	background-color: #fbe6e6;
    width: 100%;
    color: #c00;
    font-size: 13px;
    font-weight: 300 !important;
    line-height: 18px;
    letter-spacing: 0;
    padding: 5px 14px 5px 14px !important;	
    display: inline-block;
	text-align: left;
    margin-top: 0px;
}

.inputError > input, .inputError > div > input, .inputError select, .radio-group.inputError{
	border:1px solid #cc0000 !important;
}

